Grants, vesting & distributions
Create SCP Settlements
Records stablecoin-payroll vestings, tax references and settlement records per employee; marks payroll SETTLED when EOR enabled.
POSThttps://api.toku.com/tga/create-scp-settlements
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/tga/create-scp-settlements' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"employeeData": [
{
"amount": "string",
"fmv": "string",
"transactionHash": "string",
"transactionLink": "string",
"tokenCurrencyCode": "string",
"walletReferenceID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"tokenTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payDate": "2026-01-01T00:00:00Z",
"payrollID": "string"
}'200 response
{
"success": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
employeeDataobject[]requiredAllowed: 1 to 500 items
Show child attributes
amountstring | numberrequiredfmvstring | numbertransactionHashstringrequiredAllowed: at most 500 characters
transactionLinkstring<uri>requiredtokenCurrencyCodestringrequiredAllowed: 1 to 100 characters
walletReferenceIDstring<uuid>requiredroleInOrgIDstring<uuid>requiredtokenTypeIDstring<uuid>requiredpayDatestring<date-time>payrollIDstringAllowed: 1 to 200 characters
Response
200Successful response
successbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits